Page MenuHomePhabricator

mobile.site module should not be loaded in head
Closed, ResolvedPublic

Description

Run a test on webpagetest.org using Url: https://en.m.wikipedia.org/wiki/Facebook, From: New York, NY USA - Chrome - 3G with advanced settings chrome timeline enabled

When the job is finished you'll note a request to mobile.site happens after styles, startup module, central notice and jquery/mediawiki.
This shouldn't be blocking
http://www.webpagetest.org/result/150723_SY_1707/1/details/

Let's move it to the bottom of the page.

Event Timeline

Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Jhernandez, Gilles, Tbayer and 12 others.
Jhernandez set Security to None.
Jhernandez moved this task from Incoming to 2016-17 Q2 on the Readers-Web-Backlog board.
Jdlrobson renamed this task from mobile.site module should probably not be loaded in head to mobile.site module should not be loaded in head.Aug 12 2015, 4:51 PM
Jdlrobson updated the task description. (Show Details)

@Jdlrobson is this still a valid task? I'm going to put it in next sprint. Can you confirm this is still the case and that we should fix it please?

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 13 2015, 8:50 PM

Yup. Definitely should!

Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-54-28-Days-Later board.

Change 232861 had a related patch set uploaded (by Jdlrobson):
Make mobile site module position bottom.

https://gerrit.wikimedia.org/r/232861

phuedx added a subscriber: phuedx.Aug 21 2015, 11:42 AM

This looks good. 232861 is currently V-2 because of T109593.

T109593 seems to be resolved since tests are passing now at https://gerrit.wikimedia.org/r/#/c/232891/

Change 232861 merged by jenkins-bot:
Make mobile site module position bottom.

https://gerrit.wikimedia.org/r/232861

Jhernandez closed this task as Resolved.Aug 21 2015, 4:33 PM